Strategy / REST API
Delete gtm asset draft
Hard-delete only an unapproved, unbound GTM asset draft. Requires explicit confirmation.
DELETE /api/v1/gtm-assets/{kind}/{id}Deterministic operationParameters
workspaceIdRequired · string- See the input schema for this field.
kindRequired · string- See the input schema for this field.offer · lead_magnet
idRequired · string- See the input schema for this field.
confirmRequired · boolean- See the input schema for this field.
curl -X DELETE "https://app.pipeline.help/api/v1/gtm-assets/offer/00000000-0000-4000-8000-000000000000?workspaceId=00000000-0000-4000-8000-000000000000&confirm=true" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"offer",
"lead_magnet"
]
},
"id": {
"type": "string"
},
"confirm": {
"type": "boolean",
"const": true
}
},
"required": [
"workspaceId",
"kind",
"id",
"confirm"
],
"additionalProperties": false
}